Page MenuHomePhabricator

[libcxx] Allow manually specifying locales for use in tests via CMake
AbandonedPublic

Authored by broadwaylamb on Jan 14 2020, 10:06 AM.

Details

Summary

When running tests on a remote machine, it doesn't make sense to
detect supported locales on the host machine.

This patch introduces a way to manually list the locales that are
supported by the target machine in the LIBCXX_TEST_AVAILABLE_LOCALES
CMake variable.

Event Timeline

broadwaylamb created this revision.Jan 14 2020, 10:06 AM
vsk added a comment.Jan 14 2020, 10:18 AM

Looks good to me. Please wait for another +1, as I'm not a regular libcxx contributor.

jroelofs accepted this revision.Jan 15 2020, 4:37 PM

My long term plan for this was to have a set of "remote" TargetInfo objects that mirror/wrap these "local" ones, and have the SSHExecutor sub them in as appropriate, but this seems like a pragmatic compromise.

LGTM

This revision is now accepted and ready to land.Jan 15 2020, 4:37 PM

My long term plan for this was to have a set of "remote" TargetInfo objects that mirror/wrap these "local" ones, and have the SSHExecutor sub them in as appropriate, but this seems like a pragmatic compromise.

I went ahead and added LinuxRemoteTI in D72847. Can I ask you to take a look? If there's anything there that needs more work, or even if I got you completely wrong, please let me know.

If D72847 is approved, I'll close this review.

broadwaylamb abandoned this revision.Jan 17 2020, 6:35 AM

Closing this in favor of D72847